org.jfree.data.xml

## Class RootHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.jfree.data.xml.RootHandler

All Implemented Interfaces:
  DatasetTags, org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

Direct Known Subclasses:
  CategoryDatasetHandler, PieDatasetHandler

    public class RootHandler
    extends org.xml.sax.helpers.DefaultHandler
    implements DatasetTags

A SAX handler that delegates work to sub-handlers.

### Field Summary

### Fields inherited from interface org.jfree.data.xml.DatasetTags

`CATEGORYDATASET_TAG, ITEM_TAG, KEY_TAG, PIEDATASET_TAG, SERIES_TAG, VALUE_TAG`

### Constructor Summary

Constructors
Constructor and Description
`RootHandler()` Creates a new handler.

### Method Summary

Methods
`void` `characters(char[] ch, int start, int length)` Receives some (or all) of the text in the current element.
`org.xml.sax.helpers.DefaultHandler` `getCurrentHandler()` Returns the handler at the top of the stack.
`java.util.Stack` `getSubHandlers()` Returns the stack of sub handlers.
`org.xml.sax.helpers.DefaultHandler` `popSubHandler()` Pops a sub-handler from the stack.
`void` `pushSubHandler(org.xml.sax.helpers.DefaultHandler subhandler)` Pushes a sub-handler onto the stack.

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RootHandler

    public RootHandler()

Creates a new handler.

### Method Detail

#### getSubHandlers

    public java.util.Stack getSubHandlers()

Returns the stack of sub handlers.

Returns:
  The sub-handler stack.

#### characters

    public void characters(char[] ch,
                  int start,
                  int length)
                    throws org.xml.sax.SAXException

Receives some (or all) of the text in the current element.

Specified by:
  `characters` in interface `org.xml.sax.ContentHandler`
Overrides:
  `characters` in class `org.xml.sax.helpers.DefaultHandler`
Parameters:
  `ch` - character buffer.
  `start` - the start index.
  `length` - the length of the valid character data.
Throws:
  `org.xml.sax.SAXException` - for errors.

#### getCurrentHandler

    public org.xml.sax.helpers.DefaultHandler getCurrentHandler()

Returns the handler at the top of the stack.

Returns:
  The handler.

#### pushSubHandler

    public void pushSubHandler(org.xml.sax.helpers.DefaultHandler subhandler)

Pushes a sub-handler onto the stack.

Parameters:
  `subhandler` - the sub-handler.

#### popSubHandler

    public org.xml.sax.helpers.DefaultHandler popSubHandler()

Pops a sub-handler from the stack.

Returns:
  The sub-handler.